import 'package:json_annotation/json_annotation.dart';

part 'do_paper_bus.g.dart';

// 批阅页面底部操作栏BUG
@JsonSerializable()
class BottomOperationBar extends Object {
  @JsonKey(name: 'revoke_pre_step') // 撤销上一步
  bool revokePreStep;

  @JsonKey(name: 'revoke_all') // 撤销全部
  bool revokeAll;

  BottomOperationBar({
    required this.revokePreStep,
    required this.revokeAll,
  });

  factory BottomOperationBar.fromJson(Map<String, dynamic> srcJson) => _$BottomOperationBarFromJson(srcJson);

  Map<String, dynamic> toJson() => _$BottomOperationBarToJson(this);
}



@JsonSerializable()
  class ZoomKey extends Object {

  ZoomKey();

  factory ZoomKey.fromJson(Map<String, dynamic> srcJson) => _$ZoomKeyFromJson(srcJson);

  Map<String, dynamic> toJson() => _$ZoomKeyToJson(this);

}

  
